## qtmoko 59

=== devices/c3200/DESCRIPTION ===
Device configuration profile providing support for Zaurus C3200 using angstrom dist.
