=== devices/default/DESCRIPTION ===
This is a stub container for default files.
