=== devices/greenphone/DESCRIPTION ===
Device configuration profile for the Greenphone.
