=== devices/htcuniversal/DESCRIPTION ===
Support for HTC uniervsal devices.
