=== devices/n800/DESCRIPTION ===
Device configuration profile providing support for the n800 device.
