=== devices/n810/DESCRIPTION ===
Device configuration profile providing support for the n810 device.
