=== devices/neo/DESCRIPTION ===
Support for s3c2410 based fic gta01 devices, including the Neo1973 (Openmoko).
