=== devices/pc/DESCRIPTION ===
Support for GTA04 phone from goldelico.com, see http://projects.goldelico.com/p/gta04-main/
