=== devices/reference/DESCRIPTION ===
This device is the simplist possible device that turns on all features in the build system.
For how this was done see the provided configure file.
