=== devices/zaurusclamshell/DESCRIPTION ===
Device configuration profile providing support for Zaurus Clamshell
