=== examples/ffmpeg/DESCRIPTION ===
Mediaengine plugin that wraps the ffmpeg media library.
- Requires ffmpeg installed into your system/toolchain.
