=== examples/scribble/DESCRIPTION ===
A simple scribble/draw example application.
