=== debian/changelog ===
qtmoko (59-1) unstable; urgency=low

  * fixed automatic suspend after inactivity

 -- Radek Polak <psonek2@seznam.cz>  Sun, 01 Dec 2013 21:16:00 +0100

qtmoko (58-1) unstable; urgency=low

  * gta02 kernel upgrade to 2.6.39
  * gta04 kernel upgrade to latest Neil's 3.7
  * hack to stop vibrating after resume
  * show end call button after 2s to avoid unwanted press
  * improved colors in qmplayer encoding
  * better name of encoded movie in qmplayer
  * using emdebian for some packages
  * using glamo-mplayer as package
  * suspend in locked screen is now after 3s

 -- Radek Polak <psonek2@seznam.cz>  Sun, 01 Dec 2013 21:16:00 +0100

qtmoko (57-1) unstable; urgency=low

  * clever charging for gta04
  * charging log
  * better sysfs for gta04 in neocontrol

 -- Radek Polak <psonek2@seznam.cz>  Sat, 14 Sep 2013 11:20:00 +0100

qtmoko (56-1) unstable; urgency=low

  * optimise removed messages on IMAP server (Neil Jerram)
  * gta04 - share-gprs.sh fix to use hso0 interface
  * fix bluetooth segfault when there is no adapter (Ivan Matveev)
  * fixes in FBReader

 -- Radek Polak <psonek2@seznam.cz>  Mon, 18 Mar 2013 19:55:00 +0100

qtmoko (55-1) unstable; urgency=low

  * gta02 - switch back to cruxus media engine

 -- Radek Polak <psonek2@seznam.cz>  Mon, 18 Mar 2013 19:55:00 +0100

qtmoko (54-1) unstable; urgency=low

  * gta02 - increase modem gsm net reg timeout so it registers ok

 -- Radek Polak <psonek2@seznam.cz>  Mon, 04 Mar 2013 09:02:00 +0100

qtmoko (53-1) unstable; urgency=low

  * fix DISPLAY in QX and Xfbdev incocation (Neil Jerram)
  * use GPSD for providing GPS data (Neil Jerram)
  * qgpsholder program for holding gps open

 -- Radek Polak <psonek2@seznam.cz>  Tue, 12 Feb 2013 19:09:00 +0100

qtmoko (52-1) unstable; urgency=low

  * media alsa state now saves 5mA
  * media alsa state is now louder
  * fixed "Draft message" instead of sender in SMS (Neil Jerram & Radek Polak)
  * fixed status to be uint64 in mail app db
  * fixed invisible text parts in qterminal
  * better config in mplayer
  * qui utility to show QtMoko message boxes from shell
  * support for armhf arch
  * better pulseaudio config
  * hack to restore brightness when POWER button is pressed

 -- Radek Polak <psonek2@seznam.cz>  Fri, 28 Dec 2012 21:26:00 +0100

qtmoko (51-1) unstable; urgency=low

  * upgrade to qt 4.8.3
  * support for html5 video in browsers
  * enable typing in the To field, when sending an email (Neil Jerram)
  * kill pulse.sh and pulseaudio when stopping QtMoko (Neil Jerram)
  * prevent pulseaudio from exiting every 20 seconds (Neil Jerram)
  * avoid "QString::arg: Argument missing" logs (Neil Jerram)
  * position is now showing in media player (Neil Jerram)
  * fixed qwslock log warnings (Neil Jerram)
  * cleaned up gta04 audio service (Neil Jerram)
  * have libQtScript and libQtDeclarative installed by qbuild (Gilles Filippini)
  * media player uses accelerometers for rotation
  * fixed wifi ap to not move around during rescan
  * bq27000_battery is now module so that you can rmmod it and use dumb battery
  * dmesg is included in /modem_reenumerate.log
  * qtmoko apt repo keys are installed by default
  * DISPLAY is no longer set in qpe.env to not confuse pulseaudio (Neil Jerram)
  * phonon is now built and can be used by applications
  * phonon has fix for swapped colors
  * QSplitter class is compiled for better compat with existing apps
  * rotate helper is now part of accelerometer library

 -- Radek Polak <psonek2@seznam.cz>  Fri, 21 Dec 2012 22:59:00 +0100

qtmoko (50-1) unstable; urgency=low

  * use /dev/mmcblk0p5 for media (/media/card mount)
  * fixed led blinking in suspend on incoming SMS
  * fixed ogg content (Neil Jerram)
  * debian package improvements (Gilles Filippini)
  * fixed swapped colors in videos

 -- Radek Polak <psonek2@seznam.cz>  Wed, 17 Nov 2012 21:09:00 +0100

qtmoko (49-1) unstable; urgency=low

  * using gstreamer as media engine instead of cruxus
  * using pulseaudio for sounds
  * using pasuspender to pause media during calls and state switching
  * fixed DTMF tones on gta04 (Neil Jerram)
  * fixed USSD message box size (Stefan Rupp)
  * A3 earpiece state uses HiFi priority (Neil Jerram)
  * modem is now in 3g mode since modem usb disconnect fix is in kernel
  * modem dissapearing from usb in now logged to /modem_reenumerate.log
  * lot of work on debian package (Gilles Filippini)
  * fixed pkg-config handling (Gilles Filippini)
  * ogg metadata plugin (Neil Jerram)
  * fixed empty email content with windows charset (Neil Jerram)
  * fixed some email content displaying (Neil Jerram)
  * fixes in QtMaze accelerometer (Neil Jerram)
  * improvements in svg layouts (adrien)
  * arora and qx use new accelerometer library (Neil Jerram)
  * arora provides web access e.g. for web links in email (Neil Jerram)
  * mokofaen - space for 10 and more satellites (Neil Jerram)
  * qmplayer scans for webm and mkv now too
  * ssh access in allowed only on usb now (Paul Ferster, lindi)
  * updated build instructions - cross building is now done in chroot
  * using now glib even loop
  * parallel make option in configure for -build-qt option
  * pc build
  * kernel changes:
  * external gps antenna should work now (Christoph Mair)
  * avoid errors by stoping omap DMA channels before unlinking (Neil Brown)
  * CONFIG_TIDSPBRIDGE=m so that we can use dsp
  * jffs2 as module so that we can mount hw validation in nand 
  * fixed modem disapearing from usb (Dr. H. Nikolaus Schaller)
  
 -- Radek Polak <psonek2@seznam.cz>  Wed, 07 Oct 2012 21:09:00 +0100

qtmoko (48-1) unstable; urgency=low

  * working alarm
  * working USSD on gta04 (Stefan Rupp)
  * handling of long USSD (Stefan Rupp)
  * fixed sound in calls on A3 (Neil Jerram)
  * better sound volume on A3 (Neil Jerram)
  * make gsm location working (Neil Jerram)
  * using /dev/input/incoming for leds signaling of SMS/call on gta04
  * race free suspend on gta04
  * updated mokofaen theme (Joif)

