=== debian/control ===
Source: qtmoko
Section: comm
Priority: optional
Maintainer: Radek Polak <psonek2@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~), libxext-dev, libasound2-dev, libdbus-1-dev, libssl-dev, libbluetooth-dev, libgps-dev, libxtst-dev, libpng12-dev, libv4l-dev, libspeexdsp-dev, libglib2.0-dev, libsqlite3-dev, libgstreamer-plugins-base0.10-dev, libtiff5-dev, libmng-dev, libpulse-dev, libvorbis-dev, quilt
Standards-Version: 3.9.2
Homepage: http://www.qtmoko.org
Vcs-Git: git://github.com/radekp/qtmoko.git
Vcs-Browser: https://github.com/radekp/qtmoko

Package: qtmoko-gta04
Provides: qtmoko
Conflicts: qtmoko
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbus-1-3, ttf-dejavu, psmisc, alsa-utils, ntpdate, gpsd, gpsd-clients
Description: Smartphone environment based on QT Extended - GTA04 flavor
 QtMoko provides a fully integrated phone stack plus smartphone environment
 for Linux based smartphones.
 .
 It is a fork of the discontinued Qt Extended product from Nokia.
 .
 Supported devices are those of the Openmoko community:
 * Neo 1973
 * Neo Freerunner
 * GTA04
 .
 This package ships the GTA04 flavor of QtMoko.
